Subject: Re: bug#36360: 'ada-mode' & 'svg' pkgs version number & presence problem

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 24 Jun 2019 22:15:14 +0200

Stefan Monnier <[email-masked]> writes:

> The main question seems to be whether Emacs's svg.el works in Emacs-25
> and if not whether we should bump up the package-requires or whether we
> should tweak to code so it's made compatible with Emacs-25.

I have made no effort to have svg.el be backwards-compatible with
previous Emacs versions, so it's probably not?  I can see a when-let* in
there, for instance...  That can be rewritten trivially, but I don't
know whether there's anything else that's "modern" in there.  :-)
Didn't see anything on a cursory scan.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no